#version 450

layout(location = 0) in vec3 position;

layout(push_constant) uniform LinePushConstants {
    mat4 model;
    mat4 view;
    mat4 projection;
} push;

void main() {
    gl_Position = push.projection * push.view * push.model * vec4(position, 1.0);
}